[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#652160: gcc-4.6.2-[89] still complaining .py isn't an ELF file

   Dear Debian:

I'm running unstable, and dist-upgrade pretty much nightly. I've been getting ``not an ELF file'' complaints for a few days now, and finally looked it up in the BTS. The latest entry says ``Bug No longer marked as found in versions gcc-4.6/4.6.2-7'', which I take to say it's been fixed. However, this evening's apt-get output (see below) suggests to me it's still doing it with gcc-4.6.2-8 and gcc-4.6.2-9.


		Max Hyre

--------------------- Output ------------------------
Preparing to replace gcc-4.6 4.6.2-8 (using .../gcc-4.6_4.6.2-9_i386.deb) ...
Unpacking replacement gcc-4.6 ...
Preparing to replace libstdc++6 4.6.2-8 (using .../libstdc++6_4.6.2-9_i386.deb) ...
Unpacking replacement libstdc++6 ...
Setting up libstdc++6 (4.6.2-9) ...
ldconfig: /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16-gdb.py is not an ELF file - it has the wrong magic bytes at the start.


Setting up cpp-4.6 (4.6.2-9) ...
Setting up gcc-4.6 (4.6.2-9) ...
Setting up libftdi1 (0.19-4) ...
ldconfig: /usr/lib/i386-linux-gnu/libstdc++.so.6.0.16-gdb.py is not an ELF file - it has the wrong magic bytes at the start.
--------------------- /Output ------------------------

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/dash

Versions of packages gcc-4.6 depends on:
ii  binutils      2.22-2
ii  cpp-4.6       4.6.2-9
ii  gcc-4.6-base  4.6.2-9
ii  libc6         2.13-23
ii  libgcc1       1:4.6.2-9
ii  libgmp10      2:5.0.2+dfsg-2
ii  libgomp1      4.6.2-9
ii  libmpc2       0.9-4
ii  libmpfr4      3.1.0-3
ii  libquadmath0  4.6.2-9
ii  zlib1g        1:

Versions of packages gcc-4.6 recommends:
ii  libc6-dev  2.13-23

Versions of packages gcc-4.6 suggests:
pn  binutils-gold        <none>
pn  gcc-4.6-doc          <none>
pn  gcc-4.6-locales      <none>
pn  gcc-4.6-multilib     <none>
pn  libgcc1-dbg          1:4.6.2-9
pn  libgomp1-dbg         <none>
pn  libmudflap0-4.6-dev  <none>
pn  libmudflap0-dbg      <none>
pn  libquadmath0-dbg     <none>

Reply to: